/**
 * @license
 * Copyright 2019 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
import { ElementRenderer } from './element-renderer.js';
import { LitElement } from 'lit';
import type { RenderInfo } from './render-value.js';
import type { RenderResult } from './render-result.js';
export type Constructor<T> = {
    new (): T;
};
/**
 * ElementRenderer implementation for LitElements
 */
export declare class LitElementRenderer extends ElementRenderer {
    element: LitElement;
    static matchesClass(ctor: typeof HTMLElement): boolean;
    constructor(tagName: string);
    get shadowRootOptions(): ShadowRootInit;
    connectedCallback(): void;
    attributeChangedCallback(name: string, _old: string | null, value: string | null): void;
    renderShadow(renderInfo: RenderInfo): RenderResult;
    renderLight(renderInfo: RenderInfo): RenderResult;
}
//# sourceMappingURL=lit-element-renderer.d.ts.map